Package com.stardog.stark.io.binary

# Interface BinaryRDFConstants

All Known Implementing Classes:
  `BinaryRDFParser`, `BinaryRDFWriter`

public interface BinaryRDFConstants

Constants for Binary RDF

Since:
  1.0
Version:
  6.1.2
Author:
  Jeen Broekstra, Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BNODE_VALUE`
  `static final int`
  `COMMENT`
  `static final int`
  `DATATYPE_LITERAL_VALUE`
  `static final int`
  `EMBEDDED_QUAD`
  Embedded triple in a named graph
  `static final int`
  `EMBEDDED_TRIPLE`
  Embedded triple in the default graph
  `static final int`
  `END_OF_DATA`
  `static final int`
  `FORMAT_VERSION`
  The version number of the current format.
  `static final int`
  `FORMAT_VERSION_UTF8`
  Format version that introduced UTF-8 string encoding.
  `static final int`
  `LANG_LITERAL_VALUE`
  `static final int`
  `LONG_STRING_MARKER`
  Marker value indicating that a string length is encoded as a 4-byte integer rather than the default 2-byte short.
  `static final byte[]`
  `MAGIC_NUMBER`
  Magic number for Binary RDF files.
  `static final int`
  `NAMESPACE_DECL`
  `static final int`
  `NULL_VALUE`
  `static final int`
  `PLAIN_LITERAL_VALUE`
  `static final int`
  `QUAD`
  `static final int`
  `TRIPLE`
  Statement in the default graph
  `static final int`
  `URI_VALUE`
  `static final int`
  `VALUE_DECL`
  `static final int`
  `VALUE_REF`

- ## Field Details

  - ### MAGIC_NUMBER

    static final byte[] MAGIC_NUMBER
    Magic number for Binary RDF files.

  - ### FORMAT_VERSION

    static final int FORMAT_VERSION
    The version number of the current format.
    See Also:
      - Constant Field Values

  - ### FORMAT_VERSION_UTF8

    static final int FORMAT_VERSION_UTF8
    Format version that introduced UTF-8 string encoding. Earlier versions used UTF-16BE encoding (2 bytes per character).
    See Also:
      - Constant Field Values

  - ### LONG_STRING_MARKER

    static final int LONG_STRING_MARKER
    Marker value indicating that a string length is encoded as a 4-byte integer rather than the default 2-byte short. When reading a string, if the first 2 bytes equal this value, the actual length follows as a 4-byte integer.
    See Also:
      - Constant Field Values

  - ### NAMESPACE_DECL

    static final int NAMESPACE_DECL
    See Also:
      - Constant Field Values

  - ### QUAD

    static final int QUAD
    See Also:
      - Constant Field Values

  - ### COMMENT

    static final int COMMENT
    See Also:
      - Constant Field Values

  - ### VALUE_DECL

    static final int VALUE_DECL
    See Also:
      - Constant Field Values

  - ### TRIPLE

    static final int TRIPLE
    Statement in the default graph
    See Also:
      - Constant Field Values

  - ### END_OF_DATA

    static final int END_OF_DATA
    See Also:
      - Constant Field Values

  - ### NULL_VALUE

    static final int NULL_VALUE
    See Also:
      - Constant Field Values

  - ### URI_VALUE

    static final int URI_VALUE
    See Also:
      - Constant Field Values

  - ### BNODE_VALUE

    static final int BNODE_VALUE
    See Also:
      - Constant Field Values

  - ### PLAIN_LITERAL_VALUE

    static final int PLAIN_LITERAL_VALUE
    See Also:
      - Constant Field Values

  - ### LANG_LITERAL_VALUE

    static final int LANG_LITERAL_VALUE
    See Also:
      - Constant Field Values

  - ### DATATYPE_LITERAL_VALUE

    static final int DATATYPE_LITERAL_VALUE
    See Also:
      - Constant Field Values

  - ### VALUE_REF

    static final int VALUE_REF
    See Also:
      - Constant Field Values

  - ### EMBEDDED_TRIPLE

    static final int EMBEDDED_TRIPLE
    Embedded triple in the default graph
    See Also:
      - Constant Field Values

  - ### EMBEDDED_QUAD

    static final int EMBEDDED_QUAD
    Embedded triple in a named graph
    See Also:
      - Constant Field Values